cURL
curl --request POST \
--url https://app.loadforge.com/api/v2/tests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"rate": 123,
"servers": 123,
"users": 123,
"host_id": 123,
"region": "<string>",
"locustfile": "<string>"
}
'import requests
url = "https://app.loadforge.com/api/v2/tests"
payload = {
"name": "<string>",
"rate": 123,
"servers": 123,
"users": 123,
"host_id": 123,
"region": "<string>",
"locustfile": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
rate: 123,
servers: 123,
users: 123,
host_id: 123,
region: '<string>',
locustfile: '<string>'
})
};
fetch('https://app.loadforge.com/api/v2/tests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"test_id": 123
}{
"error": 123,
"message": "<string>"
}Tests
Create Test
Create a new test
POST
/
tests
cURL
Create a new test by providing details such as name, rate, servers, users, host_id, region, and locustfile. This endpoint allows you to programmatically set up load tests with your specific configuration.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Test to create
Name of the test
Spawn rate of the virtual users
Number of worker servers to launch
Total virtual users to simulate
ID of the host to test
Region code for the test
The full locustfile content
Response
Test creation response
ID of the created test
Was this page helpful?
⌘I